# CSS Modals [![Build Status](https://secure.travis-ci.org/drublic/css-modal.png?branch=master)](http://travis-ci.org/drublic/css-modal)

Modals built out of pure CSS

Please [visit the website](http://drublic.github.io/css-modal) to read more
about this project.

## What is it

__Built with pure CSS:__ CSS Modal is built out of pure CSS. JavaScript is only
for sugar. This makes them perfectly accessible.

__Optimized for mobile:__ The modals are designed using responsive web design
methods. They work on all screen sizes from a small mobile phone up to high
resolution screens.

__Use as Sass plugin:__ You can use CSS Modal as [Sass](http://sass-lang.com/)
plugin and apply it to your custom classes. No need to understand all the code.

__A few other advantages:__ accessible, cross-browser, media-adaptive, small and
fast!


## How to use

Please visit [the website's section](http://drublic.github.io/css-modal/#howto-markup)
on how to use CSS Modals.


## Browser Support

This modal is designed to work on all modern browsers. This does not include
Internet Explorer 7 or lower.


## Heads up

Please be aware that you need to stop playing videos or audio manually after
hiding the modal.

There is an event `cssmodal:show` fired on the modal itself after the modal is
shown. Another event `cssmodal:hide` is fired after the modal is hidden.

There events are not fired in IE8. Please be aware of that and use jQuery or
something else to create custom events.


## Bug reports and feature requests

If you got something that's worth including into the project please
[open an issue](https://github.com/drublic/css-modal/issues) for further
discussion.

Please see the [section on contributing](http://drublic.github.io/css-modal/#contributing)
on the website.


## Contributors

This is a project by [Hans Christian Reinl](http://drublic.de). Thanks goes out
to [all other contributors](https://github.com/drublic/css-modal/contributors).
